import { TwingNode, TwingNodeComment, TwingNodeExpressionArray, TwingNodeExpressionBinary, TwingNodeExpressionConditional, TwingNodeExpressionConstant, TwingNodeExpressionFunction, TwingNodeExpressionGetAttr, TwingNodeExpressionMethodCall, TwingNodeExpressionName, TwingNodeExpressionUnary, TwingNodeFor, TwingNodeIf, TwingNodeMacro, TwingNodeModule, TwingNodePrint, TwingNodeSet, TwingNodeText } from 'twing';
export declare class Transpiler {
    protected readonly _functions: Set<string>;
    constructor();
    protected transpileModuleNode(node: TwingNodeModule): string;
    protected transpileCommentNode(node: TwingNodeComment): string;
    protected transpileExpressionBinaryNode(node: TwingNodeExpressionBinary): string;
    protected transpileExpressionUnaryNode(node: TwingNodeExpressionUnary): string;
    protected transpileExpressionNameNode(node: TwingNodeExpressionName): string;
    protected transpileExpressionConstantNode(node: TwingNodeExpressionConstant, raw: boolean): string;
    protected transpileExpressionGetAttrNode(node: TwingNodeExpressionGetAttr): string;
    protected transpileExpressionArrayNode(node: TwingNodeExpressionArray): string;
    protected transpileForNode(node: TwingNodeFor): string;
    protected transpileIfNode(node: TwingNodeIf): string;
    protected transpilePrintNode(node: TwingNodePrint): string;
    protected transpileTextNode(node: TwingNodeText): string;
    protected transpileExpressionFunctionNode(node: TwingNodeExpressionFunction): string;
    protected transpileSetNode(node: TwingNodeSet): string;
    protected transpileExpressionConditionalNode(node: TwingNodeExpressionConditional): string;
    protected transpileExpressionMethodCallNode(node: TwingNodeExpressionMethodCall): string;
    protected transpileMacroNode(node: TwingNodeMacro): string;
    protected transpileArguments(node: TwingNode | TwingNodeExpressionArray): string;
    protected transpileNode(node: TwingNode, raw?: boolean): string;
    transpile(code: string): string;
    /**
     * Register a function to the transpiler.
     *
     * @param name
     */
    registerFunction(name: string): void;
}
